@extends('layout')
@section('content')
    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>
    <!-- Custom styles for this template -->
    <link href="css/form-validation.css" rel="stylesheet">
</head>
 
<body class="bg-light">
<div class="container">
  <div class="py-5 text-center">
    <img class="d-block mx-auto mb-4" src="/docs/4.3.1/assets/brand/bootstrap-solid.svg" alt="" width="72" height="72" alt="bootstrap">
    <h1>Top up account</h1>
    <p class="lead">Enter your email and the amount of money you want to add</p>
  </div>

   @if($errors->any())
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
   @endif
   
        
  <form method="POST" class="needs-validation" novalidate="" action="{{action('PostsController@index')}}">
  	{{csrf_field()}}
        <div class="row">
          <div class="col-md-6 mb-3">
          	<label for="email">Email <span class="text-muted"></span></label>
          	@if($errors->has('email')) has-danger @endif
            <input type="email" name="email" class="form-control" id="email" placeholder="you@example.com" value="" @if($errors->has('email')) is-invalid @endif>
             @error('email')
            <div class="invalid-feedback">
            Please enter a valid email address for shipping updates.
          	</div>
          	@enderror
          </div>
        <div class="col-md-6 mb-3">
          <label for="num">Enter the amount of money</label>
          @if($errors->has('num')) has-danger @endif
          <input type="text" name="num" class="form-control" id="num" @if($errors->has('num')) is-invalid @endif>
          @error('num')
          <div class="invalid-feedback">
            Enter the number.
          </div>
          @enderror
        </div>
        <hr class="mb-4">
        <button class="btn btn-primary btn-lg btn-block" type="submit">Continue to checkout</button>
      </form>
</body>
</html>
@endsection